public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <ottxor@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/bokeh/
Date: Fri, 23 Jan 2015 18:19:42 +0000 (UTC)	[thread overview]
Message-ID: <1421793553.9573a328e8cc4c950f9e44b1fcf3e53a52843c0b.ottxor@gentoo> (raw)

commit:     9573a328e8cc4c950f9e44b1fcf3e53a52843c0b
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue Jan 20 22:39:13 2015 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Tue Jan 20 22:39:13 2015 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=9573a328

dev-python/bokeh: Add to overlay (based on 0.5.0)

---
 dev-python/bokeh/ChangeLog          |  9 ++++
 dev-python/bokeh/bokeh-0.7.1.ebuild | 99 +++++++++++++++++++++++++++++++++++++
 dev-python/bokeh/metadata.xml       | 15 ++++++
 3 files changed, 123 insertions(+)

diff --git a/dev-python/bokeh/ChangeLog b/dev-python/bokeh/ChangeLog
new file mode 100644
index 0000000..5557614
--- /dev/null
+++ b/dev-python/bokeh/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for dev-python/bokeh
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*bokeh-0.7.1 (20 Jan 2015)
+
+  20 Jan 2015; Marius Brehler <marbre@linux.sungazer.de> +metadata.xml,
+  +bokeh-0.7.1.ebuild:
+  Import to overlay

diff --git a/dev-python/bokeh/bokeh-0.7.1.ebuild b/dev-python/bokeh/bokeh-0.7.1.ebuild
new file mode 100644
index 0000000..6662423
--- /dev/null
+++ b/dev-python/bokeh/bokeh-0.7.1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Statistical and interactive HTML plots for Python"
+HOMEPAGE="http://bokeh.pydata.org/"
+SRC_URI="https://github.com/ContinuumIO/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test chaco"
+
+# A doc build requires napoleon sphinx extension which will be included in sphinx release 1.3
+# Therefore refraining from adding the doc build for now
+RDEPEND="
+	>=dev-python/flask-0.10.1[${PYTHON_USEDEP}]
+	>=dev-python/greenlet-0.4.1[${PYTHON_USEDEP}]
+	>=dev-python/itsdangerous-0.21[${PYTHON_USEDEP}]
+	>=dev-python/jinja-2.7[${PYTHON_USEDEP}]
+	>=dev-python/markdown-2.3.1[${PYTHON_USEDEP}]
+	>=dev-python/markupsafe-0.18[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.7.1[${PYTHON_USEDEP}]
+	>=dev-python/pandas-0.11[${PYTHON_USEDEP}]
+	>=dev-python/pygments-1.6[${PYTHON_USEDEP}]
+	>=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+	>=dev-python/pystache-0.5.3[${PYTHON_USEDEP}]
+	>=dev-python/pytz-2013b[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+	>=dev-python/redis-py-2.7.6[${PYTHON_USEDEP}]
+	>=dev-python/requests-1.2.3[${PYTHON_USEDEP}]
+	>=dev-python/six-1.5.2[${PYTHON_USEDEP}]
+	>=dev-python/werkzeug-0.9.1[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '>=dev-python/gevent-1.0[${PYTHON_USEDEP}]' python2_7)
+	$(python_gen_cond_dep '>=dev-python/gevent-websocket-0.9.2[${PYTHON_USEDEP}]' python2_7)
+	chaco? (
+		$(python_gen_cond_dep '>=dev-python/traits-4.4[${PYTHON_USEDEP}]' python2_7)
+		$(python_gen_cond_dep '>=dev-python/chaco-4.4[${PYTHON_USEDEP}]' python2_7) )
+	"
+# testing server: needs websocket not in portage yet
+# websocket is in pypi for the adding
+# hdf5 backend: needs array management not in portage yet
+DEPEND="
+	test? (
+		${RDEPEND}
+		>=dev-python/nose-1.3.0[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' python2_7)
+		>=dev-python/colorama-0.2.7[${PYTHON_USEDEP}] )
+	"
+DOCS=( CHANGELOG QUICKSTART.md README.md )
+
+PATCHES=( "${FILESDIR}"/${PV}-setup.patch )
+
+DISTUTILS_NO_PARALLEL_BUILD=1
+
+python_prepare_all() {
+	# https://github.com/bokeh/bokeh/issues/1352
+	sed -e "s:        'bokeh.mplexporter',:&\n        'bokeh.mplexporter.renderers',:" \
+		-i setup.py || die
+
+	if ! use chaco; then
+		sed -i -e "/'bokeh.chaco_gg'/d" setup.py || die
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	use examples && local EXAMPLES=( examples/. )
+
+	distutils-r1_python_install_all
+}
+
+python_test() {
+	cd "${BUILD_DIR}"/lib || die
+	# exclude server tests for now
+	nosetests -v \
+		-e multiuser_auth_test \
+		-e usermodel_test \
+		|| die
+}
+
+pkg_postinst() {
+	elog "websockets work only with python2_7"
+	local chaco_msg="chaco useflag doesn't affect python targets other than python2_7"
+	if use chaco; then
+		if use python_targets_python2_7; then
+			elog "${chaco_msg}"
+		else
+			ewarn "${chaco_msg}"
+		fi
+	fi
+}

diff --git a/dev-python/bokeh/metadata.xml b/dev-python/bokeh/metadata.xml
new file mode 100644
index 0000000..ebdeb0c
--- /dev/null
+++ b/dev-python/bokeh/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <herd>sci</herd>
+  <longdescription lang="en">
+  Bokeh is a Python interactive visualization library for large
+  datasets that natively uses the latest web technologies. Its goal is
+  to provide elegant, concise construction of novel graphics in the
+  style of Protovis/D3, while delivering high-performance
+  interactivity over large data to thin clients.
+</longdescription>
+  <use>
+    <flag name="chaco">Enable interface for implementing qplot and ggplot like functionality using chaco</flag>
+  </use>
+</pkgmetadata>


             reply	other threads:[~2015-01-23 18:19 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-01-23 18:19 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-12 12:28 [gentoo-commits] proj/sci:master commit in: dev-python/bokeh/ Paul Zander
2024-09-23 14:22 Andrew Ammerlaan
2024-02-29  1:59 Horea Christian
2023-05-22 13:12 Andrew Ammerlaan
2022-09-30 10:23 Andrew Ammerlaan
2022-01-25 19:15 Andrew Ammerlaan
2021-09-08 15:14 Andrew Ammerlaan
2021-05-20 21:40 Aisha Tammy
2021-04-22 19:40 Aisha Tammy
2021-02-25  1:10 Aisha Tammy
2020-10-21 21:41 Aisha Tammy
2020-10-20 19:54 Aisha Tammy
2020-10-16 17:44 Aisha Tammy
2020-09-24 15:41 Aisha Tammy
2015-01-23 18:19 Christoph Junghans
2015-01-23 18:19 Christoph Junghans
2015-01-23 18:19 Christoph Junghans
2015-01-23 18:19 Christoph Junghans
2014-07-07  6:36 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1421793553.9573a328e8cc4c950f9e44b1fcf3e53a52843c0b.ottxor@gentoo \
    --to=ottxor@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox